> For the complete documentation index, see [llms.txt](https://developer.acquire.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.acquire.io/master/js-api/js-live-chat-api/installation.md).

# Installation

Visit [acquire.io](https://www.acquire.io/) and click a Sign Up.\
Once logged In then click on integration button and inside [widget section ](https://www.acquire.io/)get chat box initiation code.

### Step 1: Insert Widget Code to webpage

Copy the following sample widget code and paste it inside `<HEAD>` section of your webpage

### Step 2: Reload Webpage <a href="#step-2--reload-webpage" id="step-2--reload-webpage"></a>

Save your code and reload webpage.

### Sample Widget Code

```javascript
<!--  Widget Code -->
<script type="text/javascript">
    ((function() {
                var load = function() {
                    var script = "https://s.acquire.io/a-ACCOUNT_ID/init.js";
                    var x = document.createElement('script');
                    x.src = script;
                    x.async = true;
                    var sx = document.getElementsByTagName('script')[0];
                    sx.parentNode.insertBefore(x, sx);
                };
                if (document.readyState === "complete") load();
                else if (window.addEventListener) 
                // W3C DOM                    
                window.addEventListener('load',load,false);                
                else if (window.attachEvent) { 
                // IE DOM                    
                window.attachEvent("onload", load);                
                }})())
</script> 
<noscript> <a href="https://www.acquire.io?welcome" title="live chat software">Acquire </a> </noscript>
<!-- / Widget Code -->
```

### Advance Settings

Customize color code for different client (optional), that color will replace client's account theme primary color with `window.acquire_primary_color`  also a add line for add support widget dark or light theme just below to primary color

```javascript
window.acquire_widget_dark_theme = true|false;� //Optional
```

![](/files/-LihBawv5uYdaKcB3uOf)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.acquire.io/master/js-api/js-live-chat-api/installation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
